%define         luaver 5.3

#define		git 20201023
%define		rel 1

Name:           wordgrinder
Version:        0.8
Release:        %mkrel %{?git:-c git%{git}} %{rel}
Summary:        A word processor which gets out of your way
Group:          Editors
License:        MIT and BSD
URL:            https://cowlark.com/wordgrinder
Source0:        https://github.com/davidgiven/wordgrinder/archive/%{?git:master}%{?!git:%{version}}/%{name}-%{version}.tar.gz

BuildRequires:  ninja
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(lua) = %{luaver}.5
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(minizip)
BuildRequires:  lua-filesystem
BuildRequires:  freetype-devel
BuildRequires:  uthash-devel

Requires:       ncurses
Requires:       lua-filesystem

Patch0:         makefile.patch

Conflicts:      %{name} < 0.7.2-2

%description
WordGrinder is a simple, Unicode-aware word processor that runs on the
console. It's designed to get the hell out of your way and let you write;
it does very little, but what it does it does well.

It supports basic paragraph styles, basic character styles, basic screen
markup, a menu interface that means you don't have to remember complex
key sequences, HTML import and export, and some other useful features.

WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

%package gui
Summary:        A X11 word processor which gets out of your way
Group:          Editors
Conflicts:      %{name} < 0.7.2-2

%description gui
WordGrinder does not require X. It runs in a terminal. (But there's a
version which uses X if you want it.)

This is the X11 version of %{name}

%prep
%autosetup -p1 %{?git:-n %{name}-master}

%build
%set_build_flags
export WANT_STRIPPED_BINARIES=no
export CFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
%make_build all \
           PREFIX="%{_prefix}" \
           DESTDIR="%{buildroot}%{_prefix}" \
           OBJDIR="%{_builddir}/tmp" \
           LUA_PACKAGE="lua" \
           MINIZIP_PACKAGE="minizip" \
           UTHASH_PACKAGE="--cflags={} --libs={}"

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%files
%doc README README.wg
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*

%files gui
%{_bindir}/x%{name}
%{_mandir}/man1/x%{name}.*
%{_datadir}/applications/wordgrinder.desktop
%{_datadir}/mime-info/wordgrinder.mime
%{_datadir}/pixmaps/wordgrinder.png



%changelog
* Sat Oct 24 2020 kekepower <kekepower> 0.8-1.mga8
+ Revision: 1639140
- Update to version 0.8

* Mon Oct 19 2020 kekepower <kekepower> 0.7.3-0.git20201018.1.mga8
+ Revision: 1636903
- Update to version 0.7.3 git20201018

* Fri Feb 14 2020 umeabot <umeabot> 0.7.2-4.mga8
+ Revision: 1522029
- Mageia 8 Mass Rebuild

* Tue Jan 15 2019 luigiwalser <luigiwalser> 0.7.2-3.mga7
+ Revision: 1357012
- rebuild for lua5.3

* Mon Dec 03 2018 kekepower <kekepower> 0.7.2-2.mga7
+ Revision: 1337740
- Split xwordgrinder into separate package
- Include patch from Debian with man-page for xwordgrinder
- Build with all possible system libs

* Sun Dec 02 2018 kekepower <kekepower> 0.7.2-1.mga7
+ Revision: 1337582
- imported package wordgrinder

